#
# spec file for package kheisepr (Version 1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake gettext gpp klibs ksupp libgpp libjpeg libpng libtiff libz qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd klibs ksupp less libgpp libjpeg libpng libtiff libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kheisepr
Copyright:    GPL
Group:        X11/KDE/Utilities
Provides: kheisepro
Autoreqprov: on
Summary:      Search within the "Heise-Register" (german magazine)
Version:      1.4
Release:      427
Source0:      kheisepro-1.4.tar.gz
Patch0: kheisepro-1.4.dif

%description
Search within the "Heise-Register" (german magazine)

Authors:
--------
    Autoren zusammen <KHeisePro@gmx.de>
    Martin Habbecke <M.Habbecke@fz-juelich.de>
    Alexander Bednarz <A.Bednarz@gmx.de>

SuSE series: kde

%prep
%setup -n kheisepro-1.4
%patch -p 0 -E

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
%{?suse_update_config:%{suse_update_config -f . }}
CXXFLAGS=-fpermissive ;  CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./kheisepro/Makefile.in --reference=./aclocal.m4
touch ./configure --reference=./aclocal.m4
touch ./doku/Makefile.in --reference=./aclocal.m4
touch ./po/Makefile.in --reference=./aclocal.m4
touch ./icons/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc COPYING INSTALL README 
%docdir /opt/kde/share/doc
%dir /opt/kde/share/apps/kheisepro
%dir /opt/kde/share/apps/kheisepro/pics
%dir /opt/kde/share/apps/kheisepro/toolbar
%dir /opt/kde/share/doc/HTML/de/kheisepro
/opt/kde/bin/kheisepro
/opt/kde/share/applnk/Utilities/kheisepro.kdelnk
/opt/kde/share/apps/kheisepro/pics/arrow_down.xpm
/opt/kde/share/apps/kheisepro/pics/arrow_up.xpm
/opt/kde/share/apps/kheisepro/pics/cdrom.xpm
/opt/kde/share/apps/kheisepro/toolbar/fileclose.xpm
/opt/kde/share/apps/kheisepro/toolbar/search.xpm
/opt/kde/share/doc/HTML/de/kheisepro/index-1.html
/opt/kde/share/doc/HTML/de/kheisepro/index-2.html
/opt/kde/share/doc/HTML/de/kheisepro/index-3.html
/opt/kde/share/doc/HTML/de/kheisepro/index-4.html
/opt/kde/share/doc/HTML/de/kheisepro/index-5.html
/opt/kde/share/doc/HTML/de/kheisepro/index-6.html
/opt/kde/share/doc/HTML/de/kheisepro/index.html
/opt/kde/share/icons/kheisepro.xpm
/opt/kde/share/icons/mini/kheisepro.xpm
/opt/kde/share/locale/de/LC_MESSAGES/kheisepro.mo

%changelog -n kheisepr
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Sun Jun 04 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Fri Feb 11 2000 - pthomas@suse.de
- make dif autopatch compatible
* Mon Feb 07 2000 - pthomas@suse.de
- fix compile errors
- make configure pick up RPM_OPT_FLAGS
* Thu Nov 04 1999 - bs@suse.de
- removed libgif from neededforbuild
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Apr 16 1999 - kettner@suse.de
- New version 1.4
* Thu Apr 15 1999 - kettner@suse.de
- Spec file created from kheisepro-1.3b.tar.gz by autospec
